# azure.mgmt.scheduler.models module

class `azure.mgmt.scheduler.models.``Sku`(*, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Sku.

  Parameters: | name (str or SkuDefinition) – Gets or set the SKU. Possible values include: ‘Standard’, ‘Free’, ‘P10Premium’, ‘P20Premium’

class `azure.mgmt.scheduler.models.``JobMaxRecurrence`(*, frequency=None, interval: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobMaxRecurrence.

  Parameters:

  - frequency (str or RecurrenceFrequency) – Gets or sets the frequency of recurrence (second, minute, hour, day, week, month). Possible values include: ‘Minute’, ‘Hour’, ‘Day’, ‘Week’, ‘Month’
  - interval (int) – Gets or sets the interval between retries.

class `azure.mgmt.scheduler.models.``JobCollectionQuota`(*, max_job_count: int = None, max_job_occurrence: int = None, max_recurrence=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobCollectionQuota.

  Parameters:

  - max_job_count (int) – Gets or set the maximum job count.
  - max_job_occurrence (int) – Gets or sets the maximum job occurrence.
  - max_recurrence (JobMaxRecurrence) – Gets or set the maximum recurrence.

class `azure.mgmt.scheduler.models.``JobCollectionProperties`(*, sku=None, state=None, quota=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobCollectionProperties.

  Parameters:

  - sku (Sku) – Gets or sets the SKU.
  - state (str or JobCollectionState) – Gets or sets the state. Possible values include: ‘Enabled’, ‘Disabled’, ‘Suspended’, ‘Deleted’
  - quota (JobCollectionQuota) – Gets or sets the job collection quota.

class `azure.mgmt.scheduler.models.``JobCollectionDefinition`(*, name: str = None, location: str = None, tags=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobCollectionDefinition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Gets the job collection resource identifier.
  - type (str) – Gets the job collection resource type.

  Parameters:

  - name (str) – Gets or sets the job collection resource name.
  - location (str) – Gets or sets the storage account location.
  - tags (dict[str, str]) – Gets or sets the tags.
  - properties (JobCollectionProperties) – Gets or sets the job collection properties.

class `azure.mgmt.scheduler.models.``HttpAuthentication`(**kwargs)

  Bases: `msrest.serialization.Model`

  HttpAuthentication.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: ClientCertAuthentication, BasicAuthentication, OAuthAuthentication

  All required parameters must be populated in order to send to Azure.

  Parameters: | type (str) – Required. Constant filled by server.

class `azure.mgmt.scheduler.models.``HttpRequest`(*, authentication=None, uri: str = None, method: str = None, body: str = None, headers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  HttpRequest.

  Parameters:

  - authentication (HttpAuthentication) – Gets or sets the authentication method of the request.
  - uri (str) – Gets or sets the URI of the request.
  - method (str) – Gets or sets the method of the request.
  - body (str) – Gets or sets the request body.
  - headers (dict[str, str]) – Gets or sets the headers.

class `azure.mgmt.scheduler.models.``StorageQueueMessage`(*, storage_account: str = None, queue_name: str = None, sas_token: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  StorageQueueMessage.

  Parameters:

  - storage_account (str) – Gets or sets the storage account name.
  - queue_name (str) – Gets or sets the queue name.
  - sas_token (str) – Gets or sets the SAS key.
  - message (str) – Gets or sets the message.

class `azure.mgmt.scheduler.models.``ServiceBusQueueMessage`(*, authentication=None, brokered_message_properties=None, custom_message_properties=None, message: str = None, namespace: str = None, transport_type=None, queue_name: str = None, **kwargs)

  Bases: `azure.mgmt.scheduler.models.service_bus_message_py3.ServiceBusMessage`

  ServiceBusQueueMessage.

  Parameters:

  - authentication (ServiceBusAuthentication) – Gets or sets the Service Bus authentication.
  - brokered_message_properties (ServiceBusBrokeredMessageProperties) – Gets or sets the brokered message properties.
  - custom_message_properties (dict[str, str]) – Gets or sets the custom message properties.
  - message (str) – Gets or sets the message.
  - namespace (str) – Gets or sets the namespace.
  - transport_type (str or ServiceBusTransportType) – Gets or sets the transport type. Possible values include: ‘NotSpecified’, ‘NetMessaging’, ‘AMQP’
  - queue_name (str) – Gets or sets the queue name.

class `azure.mgmt.scheduler.models.``ServiceBusTopicMessage`(*, authentication=None, brokered_message_properties=None, custom_message_properties=None, message: str = None, namespace: str = None, transport_type=None, topic_path: str = None, **kwargs)

  Bases: `azure.mgmt.scheduler.models.service_bus_message_py3.ServiceBusMessage`

  ServiceBusTopicMessage.

  Parameters:

  - authentication (ServiceBusAuthentication) – Gets or sets the Service Bus authentication.
  - brokered_message_properties (ServiceBusBrokeredMessageProperties) – Gets or sets the brokered message properties.
  - custom_message_properties (dict[str, str]) – Gets or sets the custom message properties.
  - message (str) – Gets or sets the message.
  - namespace (str) – Gets or sets the namespace.
  - transport_type (str or ServiceBusTransportType) – Gets or sets the transport type. Possible values include: ‘NotSpecified’, ‘NetMessaging’, ‘AMQP’
  - topic_path (str) – Gets or sets the topic path.

class `azure.mgmt.scheduler.models.``RetryPolicy`(*, retry_type=None, retry_interval=None, retry_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  RetryPolicy.

  Parameters:

  - retry_type (str or RetryType) – Gets or sets the retry strategy to be used. Possible values include: ‘None’, ‘Fixed’
  - retry_interval (timedelta) – Gets or sets the retry interval between retries, specify duration in ISO 8601 format.
  - retry_count (int) – Gets or sets the number of times a retry should be attempted.

class `azure.mgmt.scheduler.models.``JobErrorAction`(*, type=None, request=None, queue_message=None, service_bus_queue_message=None, service_bus_topic_message=None, retry_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobErrorAction.

  Parameters:

  - type (str or JobActionType) – Gets or sets the job error action type. Possible values include: ‘Http’, ‘Https’, ‘StorageQueue’, ‘ServiceBusQueue’, ‘ServiceBusTopic’
  - request (HttpRequest) – Gets or sets the http requests.
  - queue_message (StorageQueueMessage) – Gets or sets the storage queue message.
  - service_bus_queue_message (ServiceBusQueueMessage) – Gets or sets the service bus queue message.
  - service_bus_topic_message (ServiceBusTopicMessage) – Gets or sets the service bus topic message.
  - retry_policy (RetryPolicy) – Gets or sets the retry policy.

class `azure.mgmt.scheduler.models.``JobAction`(*, type=None, request=None, queue_message=None, service_bus_queue_message=None, service_bus_topic_message=None, retry_policy=None, error_action=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobAction.

  Parameters:

  - type (str or JobActionType) – Gets or sets the job action type. Possible values include: ‘Http’, ‘Https’, ‘StorageQueue’, ‘ServiceBusQueue’, ‘ServiceBusTopic’
  - request (HttpRequest) – Gets or sets the http requests.
  - queue_message (StorageQueueMessage) – Gets or sets the storage queue message.
  - service_bus_queue_message (ServiceBusQueueMessage) – Gets or sets the service bus queue message.
  - service_bus_topic_message (ServiceBusTopicMessage) – Gets or sets the service bus topic message.
  - retry_policy (RetryPolicy) – Gets or sets the retry policy.
  - error_action (JobErrorAction) – Gets or sets the error action.

class `azure.mgmt.scheduler.models.``JobRecurrenceScheduleMonthlyOccurrence`(*, day=None, occurrence: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobRecurrenceScheduleMonthlyOccurrence.

  Parameters:

  - day (str or JobScheduleDay) – Gets or sets the day. Must be one of monday, tuesday, wednesday, thursday, friday, saturday, sunday. Possible values include: ‘Monday’, ‘Tuesday’, ‘Wednesday’, ‘Thursday’, ‘Friday’, ‘Saturday’, ‘Sunday’
  - occurrence (int) – Gets or sets the occurrence. Must be between -5 and 5.

class `azure.mgmt.scheduler.models.``JobRecurrenceSchedule`(*, week_days=None, hours=None, minutes=None, month_days=None, monthly_occurrences=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobRecurrenceSchedule.

  Parameters:

  - week_days (list[str or DayOfWeek]) – Gets or sets the days of the week that the job should execute on.
  - hours (list[int]) – Gets or sets the hours of the day that the job should execute at.
  - minutes (list[int]) – Gets or sets the minutes of the hour that the job should execute at.
  - month_days (list[int]) – Gets or sets the days of the month that the job should execute on. Must be between 1 and 31.
  - monthly_occurrences (list[JobRecurrenceScheduleMonthlyOccurrence]) – Gets or sets the occurrences of days within a month.

class `azure.mgmt.scheduler.models.``JobRecurrence`(*, frequency=None, interval: int = None, count: int = None, end_time=None, schedule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobRecurrence.

  Parameters:

  - frequency (str or RecurrenceFrequency) – Gets or sets the frequency of recurrence (second, minute, hour, day, week, month). Possible values include: ‘Minute’, ‘Hour’, ‘Day’, ‘Week’, ‘Month’
  - interval (int) – Gets or sets the interval between retries.
  - count (int) – Gets or sets the maximum number of times that the job should run.
  - end_time (datetime) – Gets or sets the time at which the job will complete.
  - schedule (JobRecurrenceSchedule) –

class `azure.mgmt.scheduler.models.``JobStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  JobStatus.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - execution_count (int) – Gets the number of times this job has executed.
  - failure_count (int) – Gets the number of times this job has failed.
  - faulted_count (int) – Gets the number of faulted occurrences (occurrences that were retried and failed as many times as the retry policy states).
  - last_execution_time (datetime) – Gets the time the last occurrence executed in ISO-8601 format. Could be empty if job has not run yet.
  - next_execution_time (datetime) – Gets the time of the next occurrence in ISO-8601 format. Could be empty if the job is completed.

class `azure.mgmt.scheduler.models.``JobProperties`(*, start_time=None, action=None, recurrence=None, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobProperties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - start_time (datetime) – Gets or sets the job start time.
  - action (JobAction) – Gets or sets the job action.
  - recurrence (JobRecurrence) – Gets or sets the job recurrence.
  - state (str or JobState) – Gets or set the job state. Possible values include: ‘Enabled’, ‘Disabled’, ‘Faulted’, ‘Completed’

  Variables: | status (JobStatus) – Gets the job status.

class `azure.mgmt.scheduler.models.``JobDefinition`(*, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobDefinition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Gets the job resource identifier.
  - type (str) – Gets the job resource type.
  - name (str) – Gets the job resource name.

  Parameters: | properties (JobProperties) – Gets or sets the job properties.

class `azure.mgmt.scheduler.models.``JobHistoryDefinitionProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  JobHistoryDefinitionProperties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - start_time (datetime) – Gets the start time for this job.
  - end_time (datetime) – Gets the end time for this job.
  - expected_execution_time (datetime) – Gets the expected execution time for this job.
  - action_name (str or JobHistoryActionName) – Gets the job history action name. Possible values include: ‘MainAction’, ‘ErrorAction’
  - status (str or JobExecutionStatus) – Gets the job history status. Possible values include: ‘Completed’, ‘Failed’, ‘Postponed’
  - message (str) – Gets the message for the job history.
  - retry_count (int) – Gets the retry count for job.
  - repeat_count (int) – Gets the repeat count for the job.

class `azure.mgmt.scheduler.models.``JobHistoryDefinition`(**kwargs)

  Bases: `msrest.serialization.Model`

  JobHistoryDefinition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Gets the job history identifier.
  - type (str) – Gets the job history resource type.
  - name (str) – Gets the job history name.
  - properties (JobHistoryDefinitionProperties) – Gets or sets the job history properties.

class `azure.mgmt.scheduler.models.``ClientCertAuthentication`(*, password: str = None, pfx: str = None, certificate_thumbprint: str = None, certificate_expiration_date=None, certificate_subject_name: str = None, **kwargs)

  Bases: `azure.mgmt.scheduler.models.http_authentication_py3.HttpAuthentication`

  ClientCertAuthentication.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - type (str) – Required. Constant filled by server.
  - password (str) – Gets or sets the certificate password, return value will always be empty.
  - pfx (str) – Gets or sets the pfx certificate. Accepts certification in base64 encoding, return value will always be empty.
  - certificate_thumbprint (str) – Gets or sets the certificate thumbprint.
  - certificate_expiration_date (datetime) – Gets or sets the certificate expiration date.
  - certificate_subject_name (str) – Gets or sets the certificate subject name.

class `azure.mgmt.scheduler.models.``BasicAuthentication`(*, username: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.scheduler.models.http_authentication_py3.HttpAuthentication`

  BasicAuthentication.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - type (str) – Required. Constant filled by server.
  - username (str) – Gets or sets the username.
  - password (str) – Gets or sets the password, return value will always be empty.

class `azure.mgmt.scheduler.models.``OAuthAuthentication`(*, secret: str = None, tenant: str = None, audience: str = None, client_id: str = None, **kwargs)

  Bases: `azure.mgmt.scheduler.models.http_authentication_py3.HttpAuthentication`

  OAuthAuthentication.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - type (str) – Required. Constant filled by server.
  - secret (str) – Gets or sets the secret, return value will always be empty.
  - tenant (str) – Gets or sets the tenant.
  - audience (str) – Gets or sets the audience.
  - client_id (str) – Gets or sets the client identifier.

class `azure.mgmt.scheduler.models.``ServiceBusAuthentication`(*, sas_key: str = None, sas_key_name: str = None, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ServiceBusAuthentication.

  Parameters:

  - sas_key (str) – Gets or sets the SAS key.
  - sas_key_name (str) – Gets or sets the SAS key name.
  - type (str or ServiceBusAuthenticationType) – Gets or sets the authentication type. Possible values include: ‘NotSpecified’, ‘SharedAccessKey’

class `azure.mgmt.scheduler.models.``ServiceBusBrokeredMessageProperties`(*, content_type: str = None, correlation_id: str = None, force_persistence: bool = None, label: str = None, message_id: str = None, partition_key: str = None, reply_to: str = None, reply_to_session_id: str = None, scheduled_enqueue_time_utc=None, session_id: str = None, time_to_live=None, to: str = None, via_partition_key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ServiceBusBrokeredMessageProperties.

  Parameters:

  - content_type (str) – Gets or sets the content type.
  - correlation_id (str) – Gets or sets the correlation ID.
  - force_persistence (bool) – Gets or sets the force persistence.
  - label (str) – Gets or sets the label.
  - message_id (str) – Gets or sets the message ID.
  - partition_key (str) – Gets or sets the partition key.
  - reply_to (str) – Gets or sets the reply to.
  - reply_to_session_id (str) – Gets or sets the reply to session ID.
  - scheduled_enqueue_time_utc (datetime) – Gets or sets the scheduled enqueue time UTC.
  - session_id (str) – Gets or sets the session ID.
  - time_to_live (timedelta) – Gets or sets the time to live.
  - to (str) – Gets or sets the to.
  - via_partition_key (str) – Gets or sets the via partition key.

class `azure.mgmt.scheduler.models.``ServiceBusMessage`(*, authentication=None, brokered_message_properties=None, custom_message_properties=None, message: str = None, namespace: str = None, transport_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ServiceBusMessage.

  Parameters:

  - authentication (ServiceBusAuthentication) – Gets or sets the Service Bus authentication.
  - brokered_message_properties (ServiceBusBrokeredMessageProperties) – Gets or sets the brokered message properties.
  - custom_message_properties (dict[str, str]) – Gets or sets the custom message properties.
  - message (str) – Gets or sets the message.
  - namespace (str) – Gets or sets the namespace.
  - transport_type (str or ServiceBusTransportType) – Gets or sets the transport type. Possible values include: ‘NotSpecified’, ‘NetMessaging’, ‘AMQP’

class `azure.mgmt.scheduler.models.``JobStateFilter`(*, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobStateFilter.

  Parameters: | state (str or JobState) – Gets or sets the job state. Possible values include: ‘Enabled’, ‘Disabled’, ‘Faulted’, ‘Completed’

class `azure.mgmt.scheduler.models.``JobHistoryFilter`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  JobHistoryFilter.

  Parameters: | status (str or JobExecutionStatus) – Gets or sets the job execution status. Possible values include: ‘Completed’, ‘Failed’, ‘Postponed’

class `azure.mgmt.scheduler.models.``JobCollectionDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobCollectionDefinition` object

class `azure.mgmt.scheduler.models.``JobDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobDefinition` object

class `azure.mgmt.scheduler.models.``JobHistoryDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `JobHistoryDefinition` object

class `azure.mgmt.scheduler.models.``SkuDefinition`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `free` = 'Free'
  `p10_premium` = 'P10Premium'
  `p20_premium` = 'P20Premium'
  `standard` = 'Standard'

class `azure.mgmt.scheduler.models.``JobCollectionState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deleted` = 'Deleted'
  `disabled` = 'Disabled'
  `enabled` = 'Enabled'
  `suspended` = 'Suspended'

class `azure.mgmt.scheduler.models.``RecurrenceFrequency`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `day` = 'Day'
  `hour` = 'Hour'
  `minute` = 'Minute'
  `month` = 'Month'
  `week` = 'Week'

class `azure.mgmt.scheduler.models.``JobActionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `https` = 'Https'
  `service_bus_queue` = 'ServiceBusQueue'
  `service_bus_topic` = 'ServiceBusTopic'
  `storage_queue` = 'StorageQueue'

class `azure.mgmt.scheduler.models.``RetryType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `fixed` = 'Fixed'
  `none` = 'None'

class `azure.mgmt.scheduler.models.``DayOfWeek`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.scheduler.models.``JobScheduleDay`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.scheduler.models.``JobState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `disabled` = 'Disabled'
  `enabled` = 'Enabled'
  `faulted` = 'Faulted'

class `azure.mgmt.scheduler.models.``JobHistoryActionName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error_action` = 'ErrorAction'
  `main_action` = 'MainAction'

class `azure.mgmt.scheduler.models.``JobExecutionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `failed` = 'Failed'
  `postponed` = 'Postponed'

class `azure.mgmt.scheduler.models.``ServiceBusAuthenticationType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `not_specified` = 'NotSpecified'
  `shared_access_key` = 'SharedAccessKey'

class `azure.mgmt.scheduler.models.``ServiceBusTransportType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `amqp` = 'AMQP'
  `net_messaging` = 'NetMessaging'
  `not_specified` = 'NotSpecified'